import { request, paramsSerializer } from '@/utils/request.js';

// person-files
export const personFilesListApi = (data) =>
  request({
    url: '/api/admin/user/archives/page',
    params: data,
  });
export const personFilesStatisticsApi = (data) =>
  request({
    url: '/api/admin/user/archives/sub_total',
    params: data,
  });
export const personFilesCodeApi = (data) =>
  request({
    url: '/api/admin/user/archives/create_code',
    data,
  });
export const personFilesEditApi = (data) =>
  request({
    url: '/api/admin/user/archives/edit',
    data,
  });
export const personFilesDestroyApi = (ids) =>
  request({
    url: '/api/system/person-files/destroy',
    params: { ids },
    paramsSerializer,
  });

export const personFilesExportApi = (ids) =>
  request({
    url: '/api/admin/user/archives/export',
    params: data,
    download: true,
  });

// person-allocate
export const personAllocateListApi = (data) =>
  request({
    url: '/api/system/person-allocate/list',
    params: data,
  });
export const personAllocateStatisticsApi = (data) =>
  request({
    url: '/api/system/person-allocate/statistics',
    params: data,
  });
export const personAllocateBatchDeployApi = (ids) =>
  request({
    url: '/api/system/person-allocate/batch-deploy',
    params: { ids },
    paramsSerializer,
  });
export const personAllocateDeployApi = (data) =>
  request({
    url: '/api/system/person-allocate/deploy',
    data,
  });
export const personAllocateSubmitSopApi = (id) =>
  request({
    url: '/api/system/person-allocate/submit-sop',
    param: { id },
  });
export const personAllocateCancelSubmitSopApi = (id) =>
  request({
    url: '/api/system/person-allocate/cancel-submit-sop',
    param: { id },
  });

// registration-query
export const registrationQueryListApi = (data) =>
  request({
    url: '/api/system/registration-query/list',
    params: data,
  });
